#!/bin/sh

####################################################################
# Drops the cfengine database
####################################################################


Usage="usage: $0 "

# Table names are set in config.sh
CF_PATH=`dirname $0`/../..
export CF_PATH
. $CF_PATH/config.sh

$MySqlBinDir/mysql --host=$SqlHost --user=$SqlUser --password=$SqlPassword <<EOF

###############################################
# mysql script for building the SQL database  #
###############################################

CREATE DATABASE $SqlDbName;
USE $SqlDbName;

#######################################################################################
# Please specify the names of your user, item and rating tables in the following      #
# CREATE commands.                                                                    #
#######################################################################################

CREATE TABLE $UserTable (UserID INT(10) PRIMARY KEY DEFAULT 0 NOT NULL AUTO_INCREMENT, UserName VARCHAR(30));
CREATE TABLE $ItemTable (ItemID INT(10) PRIMARY KEY DEFAULT 0 NOT NULL AUTO_INCREMENT, ItemName VARCHAR(100));

quit

EOF
