/*
 * ComparatorPairValueWeight.java
 * 
 * Version 1.0
 *
 * 07/04/2004
 * 
 * Copyright (c) 2004 Federal Universtity of Pernambuco. All rights reserved.
 */
package feers.recommender.algorithms.symbolic;

import java.io.Serializable;
import java.util.Comparator;

/**
 * Describe this classe here ...
 * 
 * @author <a href="mailto:bldb@cin.ufpe.br>Byron L. D. Bezerra</a>
 */
public class ComparatorPairValueWeight implements Comparator, Serializable {

	/* (non-Javadoc)
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	public int compare(Object arg0, Object arg1) {
		int r = -1;
		if (arg0 instanceof PairValueWeight && 
			arg1 instanceof PairValueWeight) {
			PairValueWeight p0 = (PairValueWeight) arg0;
			PairValueWeight p1 = (PairValueWeight) arg1;
			r=p0.getValue().compareTo(p1.getValue());
		}
		return r; 
	}
	
}
