/* 
 * CFNotImplementedException.java
 * 
 * Version 1.1
 * 
 * 23/03/2003
 *
 * Copyright (c) 2003 Oregon State Universtity. All rights reserved.
 */
package org.recommender.algorithms;

import org.recommender.server.CFException;

/**
 * Exception handling functions that are not implemented in algorithms
 *
 * @author  <A HREF="mailto:mclaughm@cs.orst.edu">Matt McLaughlin</A>
 * @since   JDK 1.2
 * 
 */

public class CFNotImplementedException extends CFException {
	
	/**
	 * @param msg
	 */
	public CFNotImplementedException(String msg) {
		super(msg);
	}
}
