/* Parameter.java
 *
 * Author: Daniel Lowd <dlowd@cs.orst.edu>
 */
package org.recommender.algorithms.Experimental.tuning;

abstract class Parameter
{
    public static int TYPE_INT    = 1;
    public static int TYPE_DOUBLE = 2;
    public static int TYPE_BOOL   = 3;
    public static int TYPE_STRING = 4;

    abstract public Parameter permute();
    abstract public Parameter iterPermute();
    abstract public int getType();
    abstract public String getName();
    abstract public String getValue();
    abstract public boolean equals(Parameter other);
}
