/*
 * ClientNoSuchItemException.java
 *
 * Version 1.1
 *
 * 15/08/2002
 *
 * Copyright (c) 2003 Oregon State Universtity. All rights reserved.
 */

package org.recommender.clients.console;

/**
 * This class provides an Exception when there is no such item in the database.
 *
 *
 */
public class ClientNoSuchItemException extends Exception {

    /**
     * Constructor, does nothing.
     */
    public ClientNoSuchItemException() { }

    /**
     * Constructor, used when there is an error message.
     */
    public ClientNoSuchItemException(String msg) {
	    super(msg);
    }
}
