/*
* RatingExistsException.java
*
* Version 1.1
*
* 01/02/2003
*
* Copyright (c) 2003 Oregon State Universtity. All rights reserved.
 */

package org.recommender.clients.console;

/**
 * This class provides an Exception when rating has already existed.
 *
 *
 */
public class RatingExistsException extends Exception {

    /**
     * Constructor, does nothing.
     */
    public RatingExistsException() { }

    /**
     * Constructor, used when there is an error message.
     */
    public RatingExistsException(String msg) {
        super(msg);
    }
}