package CFEngineServlet;

import javax.servlet.http.HttpServlet;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * <p>Title: ServletUtilities.java</p>
 * <p>Description: Operations on custom stuff</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Yun Wang
 * @version 1.0
 */

public class ServletUtilities {

  public static final String DOCTYPE =
     "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0" +
      "Transitional//EN\">";

  public ServletUtilities() {
  }

  public static String headWithTitle(String title) {
    return (DOCTYPE + "\n" + "<HTML>\n" +
            "<HEAD><TITLE>" + title + "</TITLE></HEAD>");
  }

  public static int getIntParameter(HttpServletRequest request,
                                    String paraName){
     String param = request.getParameter(paraName);
     int paramValue;
     try {
       paramValue = Integer.parseInt(param);
     } catch (NumberFormatException nfe){
       paramValue = -1;
     }
     return paramValue;
  }
}
